package de.ctdo.bunti.model;

import java.util.Map;

public abstract class BuntiSwitchingDevice extends BuntiDevice {
    private static final String OPTION_STATE = "state";

    private boolean state = false;

    public BuntiSwitchingDevice(int deviceId, String deviceName) {
        super(deviceId, deviceName);
    }



    @Override
    public final boolean setValuesFromOptions(Map<String, Object> options) {

        if(options.containsKey(OPTION_STATE)) {

            try {
                boolean value = Boolean.parseBoolean(options.get(OPTION_STATE).toString());
                setState(value);
                return true;
            } catch (Exception e) {
                return false;
            }

        }
        return false;
    }

    public boolean isState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
    }
}
